List networks for an L2 Segment
GET
/v1/l2_segments/{l2_segment_id}/networksYou can see what networks are associated with an L2 Segment using a GET request to /v1/l2_segments/{l2_segment_id}/networks. This operation requires a segment ID specified as the path parameter.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
l2_segment_id*string
A unique identifier of an L2 Segment.
Query Parameters
per_page?integer
The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.
Range
1 <= value <= 100Default
20page?integer
The number of a page (>= 1) that will be returned. By default, it's 1.
Range
1 <= valueDefault
1sorting?string
This parameter sorts items. By default, it's id. Also, it's possible to sort by updated_at and created_at.
Default
"id"Value in
- "id"
- "updated_at"
- "created_at"
direction?string
This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.
Default
"ASC"Value in
- "ASC"
- "DESC"
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/l2_segments/oQeZJepZ/networks"[ { "id": "y5eVnoeE", "title": "Alias", "status": "new", "cidr": "127.1.28.0/24", "family": "ipv4", "interface_type": "public", "distribution_method": "route", "additional": true, "updated_at": "2026-05-28T06:58:42Z", "created_at": "2026-05-28T06:58:42Z" }, { "id": "lNbWooby", "title": "Alias", "status": "new", "cidr": "127.1.29.0/24", "family": "ipv4", "interface_type": "public", "distribution_method": "route", "additional": true, "updated_at": "2026-05-28T06:58:42Z", "created_at": "2026-05-28T06:58:42Z" }, { "id": "QBeXpVey", "title": "Alias", "status": "new", "cidr": "127.1.30.0/24", "family": "ipv4", "interface_type": "public", "distribution_method": "route", "additional": true, "updated_at": "2026-05-28T06:58:42Z", "created_at": "2026-05-28T06:58:42Z" }]{ "message": "Not found", "code": "NOT_FOUND"}